---
title: "Update settings"
description: "Update one or more store invoicing settings."
url: https://docs.invoicefalcon.com/api/settings/update-settings/
api: "API v1 reference"
method: PATCH
path: "/settings"
---

# Update settings

`PATCH https://app.invoicefalcon.com/api/v1/external/settings`

Update one or more store invoicing settings.

## Request body

- `settings` (object, required): All fields are optional: only include fields you want to update.
  - `business_name` (string): e.g. `Doe Studio`
  - `email` (string): e.g. `billing@example.com`
  - `phone_number` (string): e.g. `+1 555 010 0199`
  - `address1` (string): e.g. `12 Example Street`
  - `address2` (string): e.g. `Suite 4`
  - `address3` (string): e.g. `Springfield, IL 62701`
  - `address4` (string): e.g. `United States`
  - `tax_id` (string): e.g. `US-12-3456789`
  - `tax_id_title` (string): e.g. `EIN`
  - `tax_office_name` (string)
  - `invoice_title` (string): e.g. `Invoice`
  - `draft_invoice_title` (string): e.g. `Quote`
  - `credit_note_title` (string): e.g. `Credit note`
  - `packing_slip_title` (string): e.g. `Packing slip`
  - `invoice_number_prefix` (string): e.g. `INV-`
  - `next_invoice_number` (string): e.g. `1043`
  - `invoice_from_email` (string): e.g. `billing@example.com`
  - `invoice_bcc_email` (string): e.g. `accounts@example.com`
  - `invoice_bcc` (boolean): e.g. `true`
  - `customer_cc_email_metafield` (string): Shopify customer metafield, as namespace.key, holding an extra address to CC every invoice to (e.g. custom.invoice_email). Empty disables it.
  - `locale` (string): e.g. `en`
  - `datetime_format` (string): e.g. `%d %b %Y`
  - `automatic_invoicing` (boolean): e.g. `true`
  - `automatic_invoicing_with_payment_link` (boolean): e.g. `false`
  - `financial_status` (string): e.g. `paid`
  - `fulfillment_status` (string): e.g. `any`
  - `default_due_days` (integer): e.g. `30`
  - `footer_message` (string): e.g. `Thank you for your business.`
  - `facebook_url` (string)
  - `instagram_url` (string): e.g. `https://instagram.com/doestudio`
  - `twitter_url` (string)
  - `use_custom_email` (boolean): e.g. `false`
  - `email_subject_template` (string): e.g. `Your invoice {{invoice_number}}`
  - `email_body_template` (string): e.g. `Hi {{customer_name}}, your invoice is attached.`
  - `enable_payment_reminders` (boolean): e.g. `true`
  - `payment_reminder_interval` (integer): e.g. `3`
  - `payment_reminder_when` (string): e.g. `after` One of: `before`, `after`.
  - `customer_locale_invoice` (boolean): e.g. `false`

## Returns

- `settings` (object)
  - `business_name` (string): e.g. `Doe Studio`
  - `email` (string): e.g. `billing@example.com`
  - `phone_number` (string): e.g. `+1 555 010 0199`
  - `address1` (string): e.g. `12 Example Street`
  - `address2` (string): e.g. `Suite 4`
  - `address3` (string): e.g. `Springfield, IL 62701`
  - `address4` (string): e.g. `United States`
  - `tax_id` (string): e.g. `US-12-3456789`
  - `tax_id_title` (string): e.g. `EIN`
  - `tax_office_name` (string)
  - `invoice_title` (string): e.g. `Invoice`
  - `draft_invoice_title` (string): e.g. `Quote`
  - `credit_note_title` (string): e.g. `Credit note`
  - `packing_slip_title` (string): e.g. `Packing slip`
  - `invoice_number_prefix` (string): e.g. `INV-`
  - `next_invoice_number` (string): e.g. `1043`
  - `invoice_from_email` (string): e.g. `billing@example.com`
  - `invoice_bcc_email` (string): e.g. `accounts@example.com`
  - `invoice_bcc` (boolean): e.g. `true`
  - `customer_cc_email_metafield` (string): Shopify customer metafield, as namespace.key, holding an extra address to CC every invoice to (e.g. custom.invoice_email). Empty disables it.
  - `locale` (string): e.g. `en`
  - `email_locale` (string): e.g. `en`
  - `datetime_format` (string): e.g. `%d %b %Y`
  - `automatic_invoicing` (boolean): e.g. `true`
  - `automatic_invoicing_with_payment_link` (boolean): e.g. `false`
  - `financial_status` (string): e.g. `paid`
  - `fulfillment_status` (string): e.g. `any`
  - `default_due_days` (integer): e.g. `30`
  - `footer_message` (string): e.g. `Thank you for your business.`
  - `facebook_url` (string)
  - `instagram_url` (string): e.g. `https://instagram.com/doestudio`
  - `twitter_url` (string)
  - `use_custom_email` (boolean): e.g. `false`
  - `email_subject_template` (string): e.g. `Your invoice {{invoice_number}}`
  - `email_body_template` (string): e.g. `Hi {{customer_name}}, your invoice is attached.`
  - `email_dkim_verified` (boolean): e.g. `false`
  - `enable_payment_reminders` (boolean): e.g. `true`
  - `payment_reminder_interval` (integer): e.g. `3`
  - `payment_reminder_when` (string): e.g. `after` One of: `before`, `after`.
  - `customer_locale_invoice` (boolean): e.g. `false`

Rate limit: this call costs 2 points ([rate limits](https://docs.invoicefalcon.com/docs/rate-limiting/)).

## Example request

```sh
curl -X PATCH "https://app.invoicefalcon.com/api/v1/external/settings" \
  -H "X-Auth-Token: $INVOICE_FALCON_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "settings": {
      "business_name": "Doe Studio",
      "email": "billing@example.com",
      "phone_number": "+1 555 010 0199",
      "address1": "12 Example Street",
      "address2": "Suite 4",
      "address3": "Springfield, IL 62701",
      "address4": "United States",
      "tax_id": "US-12-3456789",
      "tax_id_title": "EIN",
      "tax_office_name": "",
      "invoice_title": "Invoice",
      "draft_invoice_title": "Quote",
      "credit_note_title": "Credit note",
      "packing_slip_title": "Packing slip",
      "invoice_number_prefix": "INV-",
      "next_invoice_number": "1043",
      "invoice_from_email": "billing@example.com",
      "invoice_bcc_email": "accounts@example.com",
      "customer_cc_email_metafield": "custom.invoice_email",
      "invoice_bcc": true,
      "locale": "en",
      "email_locale": "en",
      "datetime_format": "%d %b %Y",
      "automatic_invoicing": true,
      "automatic_invoicing_with_payment_link": false,
      "financial_status": "paid",
      "fulfillment_status": "any",
      "default_due_days": 30,
      "footer_message": "Thank you for your business.",
      "facebook_url": "",
      "instagram_url": "https://instagram.com/doestudio",
      "twitter_url": "",
      "use_custom_email": false,
      "email_subject_template": "Your invoice {{invoice_number}}",
      "email_body_template": "Hi {{customer_name}}, your invoice is attached.",
      "email_dkim_verified": false,
      "enable_payment_reminders": true,
      "payment_reminder_interval": 3,
      "payment_reminder_when": "after",
      "customer_locale_invoice": false
    }
  }'
```

## 200

Settings updated.

```json
{
  "settings": {
    "business_name": "Doe Studio",
    "email": "billing@example.com",
    "phone_number": "+1 555 010 0199",
    "address1": "12 Example Street",
    "address2": "Suite 4",
    "address3": "Springfield, IL 62701",
    "address4": "United States",
    "tax_id": "US-12-3456789",
    "tax_id_title": "EIN",
    "tax_office_name": "",
    "invoice_title": "Invoice",
    "draft_invoice_title": "Quote",
    "credit_note_title": "Credit note",
    "packing_slip_title": "Packing slip",
    "invoice_number_prefix": "INV-",
    "next_invoice_number": "1043",
    "invoice_from_email": "billing@example.com",
    "invoice_bcc_email": "accounts@example.com",
    "customer_cc_email_metafield": "custom.invoice_email",
    "invoice_bcc": true,
    "locale": "en",
    "email_locale": "en",
    "datetime_format": "%d %b %Y",
    "automatic_invoicing": true,
    "automatic_invoicing_with_payment_link": false,
    "financial_status": "paid",
    "fulfillment_status": "any",
    "default_due_days": 30,
    "footer_message": "Thank you for your business.",
    "facebook_url": "",
    "instagram_url": "https://instagram.com/doestudio",
    "twitter_url": "",
    "use_custom_email": false,
    "email_subject_template": "Your invoice {{invoice_number}}",
    "email_body_template": "Hi {{customer_name}}, your invoice is attached.",
    "email_dkim_verified": false,
    "enable_payment_reminders": true,
    "payment_reminder_interval": 3,
    "payment_reminder_when": "after",
    "customer_locale_invoice": false
  }
}
```

## 401

Missing or invalid API key.

```json
{
  "error": "Invalid API key"
}
```

## 403

The store is not on a paid plan. API access requires a paid Invoice Falcon plan.

```json
{
  "error": "REST API access requires a paid plan"
}
```

## 422

Request could not be processed.

```json
{
  "error": "param is missing or the value is empty: customer",
  "errors": {}
}
```

## 429

Rate limit exceeded. Check `X-RateLimit-Reset` header.

```json
{
  "error": "Rate limit exceeded",
  "retry_after": 30,
  "message": "You have exceeded the rate limit of 40 points per 60 seconds. Read requests cost 1 point(s) and write requests cost 2 point(s). Please retry after 30 second(s)."
}
```

